#include <iostream>
#include <math.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n,m;
    cin>>n>>m;
    int a,b,c,d,x,br=0;
    a=n*2+m*2-4;
    b=n*m-a;
    if(n==2 || m==2)cout<<a;
    else{
    c=n-2;
    d=m-2;
    for(int i=0;i<c;i++)
    for(int j=0;j<d;j++){
            if (i % 2 == 0 && j % 2 != 0) br++;
            if (i % 2 != 0 && j% 2 == 0) br++;
    }

    a=a+br;
    cout<<a;
    }
    return 0;
}